Bug 664910 - Review Request: perl-Plack - Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
Summary: Review Request: perl-Plack - Perl Superglue for Web frameworks and Web Server...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: perl-Plack, plack (view as bug list)
Depends On: 664815 664904
Blocks: 664911 664924 664932 665081 rt4-dependencies-tracker
TreeView+ depends on / blocked
 
Reported: 2010-12-22 04:38 UTC by Ralf Corsepius
Modified: 2012-07-09 19:12 UTC (History)
6 users (show)

Fixed In Version: perl-Plack-0.9960-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-22 20:25:23 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-22 04:38:42 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Plack.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Plack-0.9959-1.fc15.src.rpm
Description: 
Plack is a set of tools for using the PSGI stack. It contains middleware
components, a reference server and utilities for Web application
frameworks. Plack is like Ruby's Rack or Python's Paste for WSGI.

Comment 2 Jason Tibbitts 2010-12-23 15:49:38 UTC
*** Bug 575498 has been marked as a duplicate of this bug. ***

Comment 3 Emmanuel Seyman 2010-12-30 20:36:03 UTC
Taking.

Comment 4 Emmanuel Seyman 2010-12-30 21:03:14 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2694472

 [x] Rpmlint output:
perl-Plack.noarch: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
perl-Plack.src: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic

 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
bb07fdb9a02d182bf21a8d569a0e18b9  Plack-0.9959.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [!] Latest version is packaged.
Plack 0.9960 came out on Christmas Day.

 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86-64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2694472
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=112, Tests=810, 15 wallclock secs ( 0.25 usr  0.09 sys + 10.07 cusr  0.99 csys = 11.40 CPU)
Result: PASS

APPROVED.

Comment 5 Ralf Corsepius 2010-12-31 02:47:35 UTC
Again, thanks for the review, Emmanuel!

New Package SCM Request
=======================
Package Name: perl-Plack
Short Description: Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 6 Kevin Fenzi 2011-01-02 20:15:34 UTC
Git done (by process-git-requests).

Comment 7 Ralf Corsepius 2011-01-03 05:19:09 UTC
I am unable to build this package for f13 and f14,
because perl-Authen-Simple-Passwd is still missing from f13 and f14,
because I am unable to push these to f13 and f14, 
because they "This update has not yet met the minimum testing requirements defined in the Package Update Acceptance Criteria"

Comment 8 Fedora Update System 2011-01-14 14:16:41 UTC
perl-Plack-0.9960-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Plack-0.9960-1.fc14

Comment 9 Fedora Update System 2011-01-14 14:16:47 UTC
perl-Plack-0.9960-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Plack-0.9960-1.fc13

Comment 10 Fedora Update System 2011-01-14 20:32:48 UTC
perl-Plack-0.9960-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Plack'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Plack-0.9960-1.fc13

Comment 11 Fedora Update System 2011-01-22 20:25:18 UTC
perl-Plack-0.9960-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-01-22 20:30:37 UTC
perl-Plack-0.9960-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Jose Pedro Oliveira 2011-08-12 22:26:33 UTC
Package Change Request
======================
Package Name: perl-Plack
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 14 Gwyn Ciesla 2011-08-13 14:30:29 UTC
Git done (by process-git-requests).

Comment 15 Xavier Bachelot 2012-07-09 15:23:49 UTC
(In reply to comment #13)
> Package Change Request
> ======================
> Package Name: perl-Plack
> New Branches: el6
> Owners: jpo
> InitialCC: perl-sig
> 
> [perl-Dancer requirement chain - see bug 729504]

The package has been branched but not built. Are there missing dependencies blocking it ? Can I help ?
The background is I'm going to try to build Request Tracker 4 for EPEL6 and this is one of the needed packages.

Comment 16 Jose Pedro Oliveira 2012-07-09 19:12:48 UTC
(In reply to comment #15)
> (In reply to comment #13)
> > Package Change Request
> > ======================
> > Package Name: perl-Plack
> > New Branches: el6
> > Owners: jpo
> > InitialCC: perl-sig
> > 
> > [perl-Dancer requirement chain - see bug 729504]
> 
> The package has been branched but not built. Are there missing dependencies
> blocking it ? Can I help ?

Yes and yes.

I've just opened a ticket where I will summarize the problems I encountered
during the attempt of pushing perl-Dancer for EPEL-6 (bug #838679).

> The background is I'm going to try to build Request Tracker 4 for EPEL6 and
> this is one of the needed packages.

That would be great to have in EPEL6 :)

/jpo


Note You need to log in before you can comment on or make changes to this bug.